unit MD5T;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, MD5, ExtCtrls;

type
  TfrmMD5Test = class(TForm)
    MD51: TMD5;
    grpInput: TGroupBox;
    edtInput: TEdit;
    btnDoText: TButton;
    btnDoFile: TButton;
    lblInput: TLabel;
    grpHash: TGroupBox;
    edtHashValue: TEdit;
    odlFileToHash: TOpenDialog;
    lblHash: TLabel;
    Bevel1: TBevel;
    edtVersion: TEdit;
    lblVersion: TLabel;
    procedure btnDoTextClick(Sender: TObject);
    procedure btnDoFileClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMD5Test: TfrmMD5Test;

implementation

{$R *.DFM}

{*******************************************************************************
* Procedure : btnDoTextClick                                                   *
********************************************************************************
* Purpose   : Creates the hash of the text in the input box                    *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmMD5Test.btnDoTextClick(Sender: TObject);
var
     Digest: TDigest;
begin
     MD51.Init;
     MD51.HashString(edtInput.Text);
     Digest := MD51.Finish;
     edtHashValue.Text := MD51.GetHashString;
end; {btnDoTextClick}

{*******************************************************************************
* Procedure : btnDoFileClick                                                   *
********************************************************************************
* Purpose   : Creates the hash of the file specified by the open dialog        *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmMD5Test.btnDoFileClick(Sender: TObject);
begin
     if odlFileToHash.Execute then
     begin
          MD51.Init;
          MD51.HashFile(odlFileToHash.FileName);
          MD51.Finish;
          edtHashValue.Text := MD51.GetHashString;
     end; {if}
end; {btnDoFileClick}

{*******************************************************************************
* Procedure : TfrmMD5Test.FormCreate                                           *
********************************************************************************
* Purpose   : Gets the version number of the MD5 component for display         *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmMD5Test.FormCreate(Sender: TObject);
begin
     edtVersion.Text := MD51.GetVersion;
end; {FormCreate}

end.
